package com.ruoyi.abuwx.service.impl;

import com.ruoyi.abuwx.domain.QuestionCategory;
import com.ruoyi.abuwx.mapper.QuestionCategoryMapper;
import com.ruoyi.abuwx.service.IQuestionCategoryService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 题目分类管理Service业务层处理
 *
 * @author lujie
 * @date 2025-01-06
 */
@Service
public class QuestionCategoryServiceImpl implements IQuestionCategoryService {
    @Autowired
    private QuestionCategoryMapper questionCategoryMapper;

    /**
     * 查询题目分类管理
     *
     * @param id 题目分类管理主键
     * @return 题目分类管理
     */
    @Override
    public QuestionCategory selectQuestionCategoryById(Long id) {
        return questionCategoryMapper.selectQuestionCategoryById(id);
    }

    /**
     * 查询题目分类管理列表
     *
     * @param questionCategory 题目分类管理
     * @return 题目分类管理
     */
    @Override
    public List<QuestionCategory> selectQuestionCategoryList(QuestionCategory questionCategory) {
        return questionCategoryMapper.selectQuestionCategoryList(questionCategory);
    }

    /**
     * 新增题目分类管理
     *
     * @param questionCategory 题目分类管理
     * @return 结果
     */
    @Override
    public int insertQuestionCategory(QuestionCategory questionCategory) {
        questionCategory.setCreateTime(DateUtils.getNowDate());
        return questionCategoryMapper.insertQuestionCategory(questionCategory);
    }

    /**
     * 修改题目分类管理
     *
     * @param questionCategory 题目分类管理
     * @return 结果
     */
    @Override
    public int updateQuestionCategory(QuestionCategory questionCategory) {
        questionCategory.setUpdateTime(DateUtils.getNowDate());
        return questionCategoryMapper.updateQuestionCategory(questionCategory);
    }

    /**
     * 批量删除题目分类管理
     *
     * @param ids 需要删除的题目分类管理主键
     * @return 结果
     */
    @Override
    public int deleteQuestionCategoryByIds(Long[] ids) {
        return questionCategoryMapper.deleteQuestionCategoryByIds(ids);
    }

    /**
     * 删除题目分类管理信息
     *
     * @param id 题目分类管理主键
     * @return 结果
     */
    @Override
    public int deleteQuestionCategoryById(Long id) {
        return questionCategoryMapper.deleteQuestionCategoryById(id);
    }
}
